it-roy-ru.com

Не удалось найти Rails (> = 0) среди [] (Gem :: LoadError)

После установки rvm, обновления файла .gmrc, обновления rubygems и запуска gem install Rails -v ">=3.1.0rc" теперь у меня полный беспорядок:

$ Rails -v
/usr/local/lib/site_Ruby/1.8/rubygems/dependency.rb:247:in `to_specs': Could not find Rails (>= 0) amongst [] (Gem::LoadError)
    from /usr/local/lib/site_Ruby/1.8/rubygems/dependency.rb:256:in `to_spec'
    from /usr/local/lib/site_Ruby/1.8/rubygems.rb:1182:in `gem'
    from /var/lib/gems/1.8/bin/Rails:18

[email protected]:~$ gem env

RubyGems Environment:
  - RUBYGEMS VERSION: 1.6.2
  - Ruby VERSION: 1.9.2 (2011-02-18 patchlevel 180) [i686-linux]
  - INSTALLATION DIRECTORY: /home/myhome/gems
  - Ruby EXECUTABLE: /home/myhome/.rvm/rubies/Ruby-1.9.2-p180/bin/Ruby
  - EXECUTABLE DIRECTORY: /home/myhome/gems/bin
  - RUBYGEMS PLATFORMS:
    - Ruby
    - x86-linux
  - GEM PATHS:
     - /home/myhome/gems
     - /usr/lib/Ruby/gems/1.8
  - GEM CONFIGURATION:
     - :update_sources => true
     - :verbose => true
     - :benchmark => false
     - :backtrace => false
     - :bulk_threshold => 1000
     - "gemhome" => "/home/myhome/gems"
     - "gempath" => ["/home/myhome/gems", "/usr/lib/Ruby/gems/1.8"]
  - REMOTE SOURCES:
     - http://rubygems.org/
50
rigyt

Я должен был Sudo gem install bundler, чтобы заставить это работать снова.

32
Ace Suares

У меня была похожая проблема. Не уверен, поможет ли это вам, но вы можете попытаться установить гем с rvmsudo gem install [gemname] вместо того, чтобы просто делать gem install [gemname] или Sudo gem install [gemname].

Я пытаюсь объяснить это немного из-за голосов:
Это в основном проблема пути. Если вы устанавливаете драгоценные камни с помощью gem install, они, скорее всего, будут находиться в другом каталоге (например, /usr/local/) по сравнению с драгоценными камнями, настроенными через упаковщик (где вы можете переопределить его с --path). Использование Sudo может также установить их в другой каталог, так как Sudo запускает подоболочку, которая имеет другую среду. Вот почему у вас есть rvmsudo.

Если вы хотите увидеть различия, сравните $PATH, $GEM_HOME, $GEM_PATH и $BUNDLE_PATH при прямом отражении, с Sudo и rvmsudo.

85
pduersteler

У меня есть проблема, похожая на эту, может быть совместимая проблема rvm . Я исправил, обновив rvm до последней версии: 

curl -L https://get.rvm.io | bash -s stable --Ruby

Затем вы должны перезагрузить rvm или просто открыть новое окно терминала . Затем я переустановил пакет 'gem install bundler' и запустил 'bundle install' как обычно

6
Huy Thai
rvm rubygems current

сделал трюк для меня.

5
Sv1

сначала удалите Ruby .__

Sudo apt-get install build-essential libssl-dev libreadline5 libreadline5-dev zlib1g zlib1g-dev

установить все необходимые lib тогда вы можете установить Ruby и Rails

rvm install 1.9.3
rvm --default use 1.9.3
rvm gem install Rails
1
naiteluo

У меня было почти то же самое сообщение при попытке создать контроллер после установки IntelliJ IDEA и соответствующего плагина для Rail Dev. Из моего каталога приложений я только что выполнил установку пакета, а затем смог снова сгенерировать контроллеры. 

0
Derek Strickland

Я знаю, что это действительно старый вопрос, но я только недавно решил перейти на RVM на сервере, который я недавно настраивал, и у меня возникла та же проблема, когда гемы устанавливались не в том месте, и это просто испортило все.

После нескольких часов обхода SO я наконец-то понял, что в своем файле .gemrc в моей корневой папке я предварительно настроил переменные gemhome: and gempath:, и они работали со всей системой.

После удаления этих строк все мои драгоценные камни стали рабочим имуществом.

Просто думал, что опубликую свой ответ на случай, если кто-то окажется в том же положении.

0
doz87